<% local form, viewlibrary, page_info = ... 
require("htmlviewfunctions")
html = require("acf.html")
%>

<% if form.value.values then %>
<H1>Class</H1>
	<DL>
<% if form.errtxt then io.write("<P CLASS='error'>" .. string.gsub(html.html_escape(form.errtxt), "\n", "<BR>") .. "</P>\n") end %>
	<% htmlviewfunctions.displayitem(form.value.class_id) %>
	<% htmlviewfunctions.displayitem(form.value.label) %>
<H2>Parameter Values</H2>
<%
	require("session")
	val = session.serialize("values", form.value.values.value)
	val = string.gsub(val, "[^\n]*%{%}\n", "")
	print("<pre>"..val.."</pre>")
	form.value.values = nil
%>
	</DL>
<% end %>

<H1><%= html.html_escape(form.label) %></H1>
<%
	form.value.values = nil
	form.value.label = nil
	htmlviewfunctions.displayform(form, nil, nil, page_info, 2)
%>
